#include<bits/stdc++.h>
using namespace std;
int n,u,v,q,l,r,k;
int main(){
	freopen("query.in","r",stdin);
	freopen("query.out","w",stdout);
	cin>>n;
	for(int i=1;i<=n;i++){
		cin>>u>>v;
	}
	cin>>q;
	for(int i=1;i<=q;i++){
		cin>>l>>r>>k;
		cout<<(l+r+k)/3;
	}
}
//AFO,再见了oi 
//期望分数 60+40+0+0
//今年感觉比去年难好多，不开心 :-(
//也该回去搞文化课了，要是大学有机会再搞吧 
